Skip to content
POST /unified/accounting/employees

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

addressesobject[]
1 supported
QuickBooks
supported
citystring

The city of the address

countrystring

The country of the address

postal_codestring

The postal code of the address

statestring

The state of the address

street_1string

The street 1 of the address

street_2string

The street 2 of the address

typestring

The type of the address

emailsobject[]

The emails of the employee

1 supported
QuickBooks
supported
emailstring

The email of the employee

typestring

The type of the email

first_namestring

The first name of the employee

2 supported
QuickBooks
supported
Xero
supported
last_namestring

The last name of the employee

2 supported
QuickBooks
supported
Xero
supported
namestring

The display name of the employee

1 supported
QuickBooks
supported
phonesobject[]

The phone numbers of employee

1 supported
QuickBooks
supported
extensionstring

The extension of the phone number

numberstring

The phone number

typestring

The type of phone

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier for employee

2 supported
QuickBooks
supported
Xero
supported
addressesobject[]
1 supported
QuickBooks
supported
citystring

The city of the address

countrystring

The country of the address

postal_codestring

The postal code of the address

statestring

The state of the address

street_1string

The street 1 of the address

street_2string

The street 2 of the address

typestring

The type of the address

created_atstring · date-time

This represents the date when the employee was created

1 supported
QuickBooks
supported
emailsobject[]

The emails of the employee

1 supported
QuickBooks
supported
emailstring

The email of the employee

typestring

The type of the email

first_namestring

The first name of the employee

2 supported
QuickBooks
supported
Xero
supported
last_namestring

The last name of the employee

2 supported
QuickBooks
supported
Xero
supported
namestring

The display name of the employee

1 supported
QuickBooks
supported
phonesobject[]

The phone numbers of employee

1 supported
QuickBooks
supported
extensionstring

The extension of the phone number

numberstring

The phone number

typestring

The type of phone

remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

This represents the date when the employee was updated

2 supported
QuickBooks
supported
Xero
supported
curl -X POST 'https://api.truto.one/unified/accounting/employees?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "first_name": "your_first_name",
  "last_name": "your_last_name",
  "name": "your_name",
  "emails": [],
  "phones": [],
  "addresses": [],
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "first_name": "your_first_name",
  "last_name": "your_last_name",
  "name": "your_name",
  "emails": [],
  "phones": [],
  "addresses": [],
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/accounting/employees?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/employees"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "first_name": "your_first_name",
    "last_name": "your_last_name",
    "name": "your_name",
    "emails": [],
    "phones": [],
    "addresses": [],
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'accounting',
  'employees',
  {
  "first_name": "your_first_name",
  "last_name": "your_last_name",
  "name": "your_name",
  "emails": [],
  "phones": [],
  "addresses": [],
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "accounting",
        "employees",
        {
        "first_name": "your_first_name",
        "last_name": "your_last_name",
        "name": "your_name",
        "emails": [],
        "phones": [],
        "addresses": [],
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())